# snd_tplg_stream_caps_template Struct Reference
[Topology Interface]

Stream Capabilities. More...

## Data Fields

const char * | name
uint64_t | formats
unsigned int | rates
unsigned int | rate_min
unsigned int | rate_max
unsigned int | channels_min
unsigned int | channels_max
unsigned int | periods_min
unsigned int | periods_max
unsigned int | period_size_min
unsigned int | period_size_max
unsigned int | buffer_size_min
unsigned int | buffer_size_max

## Detailed Description

Stream Capabilities.

## Field Documentation

unsigned int snd_tplg_stream_caps_template::buffer_size_max

max buffer size bytes

unsigned int snd_tplg_stream_caps_template::buffer_size_min

min buffer size bytes

unsigned int snd_tplg_stream_caps_template::channels_max

max channels

unsigned int snd_tplg_stream_caps_template::channels_min

min channels

uint64_t snd_tplg_stream_caps_template::formats

supported formats SNDRV_PCM_FMTBIT_*

const char* snd_tplg_stream_caps_template::name

name of the stream caps

unsigned int snd_tplg_stream_caps_template::period_size_max

max period size bytes

unsigned int snd_tplg_stream_caps_template::period_size_min

min period size bytes

unsigned int snd_tplg_stream_caps_template::periods_max

max number of periods

unsigned int snd_tplg_stream_caps_template::periods_min

min number of periods

unsigned int snd_tplg_stream_caps_template::rate_max

max rate

unsigned int snd_tplg_stream_caps_template::rate_min

min rate

unsigned int snd_tplg_stream_caps_template::rates

supported rates SNDRV_PCM_RATE_*

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines